
Colony - Bug #560

BOM and rangefinder donot work together

09/03/2009 08:27 PM - Brad Neuman

Status: Fixed Start date: 09/03/2009

Priority: High Due date:  

Assignee: James Kong % Done: 0%

Category: Library Estimated time: 0.00 hour

Target version:    

Description

I suspect this is due to a problem with analog8

I also noticed that the bom_refresh() function always re-starts the analog loop, even if the loop wasn't running before it was called,

which is probably a bug.

See the code in hunter-killer/main.c for an example of something that I think should work but doesn't.

Also the documentation and behavior dealing with analog_init is poor.

Associated revisions

Revision 1406 - 09/09/2009 10:31 PM - James Kong

Merged analog and bom changes from analog branch. Tested and working. Fixes #560

History

#1 - 09/09/2009 10:32 PM - James Kong

- Status changed from Assigned to Fixed

Tested and merged.
